<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref3.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Formatters.BoostBook.Formatter.pop_scope - Synopsis.Formatters.DocBook.DocBook.FormatterBase.__init__</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Formatters.BoostBook.Formatter.pop_scope - Synopsis.Formatters.DocBook.DocBook.FormatterBase.__init__</h1><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.pop_scope" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.pop_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#pop_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#46">Synopsis/Formatters/BoostBook.py:46</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.process" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#22">Synopsis/Formatters/BoostBook.py:22</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.process_doc" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.process_doc</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#process_doc" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#152">Synopsis/Formatters/BoostBook.py:152</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.push_scope" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.push_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#push_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#41">Synopsis/Formatters/BoostBook.py:41</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.reference" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.reference</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#reference" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#92">Synopsis/Formatters/BoostBook.py:92</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.scope" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.scope</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#40">Synopsis/Formatters/BoostBook.py:40</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.start_entity" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.start_entity</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#start_entity" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#58">Synopsis/Formatters/BoostBook.py:58</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.type_label" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.type_label</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#type_label" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#107">Synopsis/Formatters/BoostBook.py:107</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_builtin_type_id" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_builtin_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_builtin_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#110">Synopsis/Formatters/BoostBook.py:110</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_class" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#192">Synopsis/Formatters/BoostBook.py:192</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_const" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_const</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_const" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#178">Synopsis/Formatters/BoostBook.py:178</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_declarator" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_declarator</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_declarator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#159">Synopsis/Formatters/BoostBook.py:159</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_declared_type_id" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_declared_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_declared_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#120">Synopsis/Formatters/BoostBook.py:120</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_enum" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_enum</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_enum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#275">Synopsis/Formatters/BoostBook.py:275</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_enumerator" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_enumerator</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_enumerator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#271">Synopsis/Formatters/BoostBook.py:271</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_function" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_function</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#226">Synopsis/Formatters/BoostBook.py:226</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_function_type_id" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_function_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_function_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#146">Synopsis/Formatters/BoostBook.py:146</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_inheritance" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#208">Synopsis/Formatters/BoostBook.py:208</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_modifier_type_id" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_modifier_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_modifier_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#125">Synopsis/Formatters/BoostBook.py:125</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_module" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_module</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#182">Synopsis/Formatters/BoostBook.py:182</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_operation" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_operation</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_operation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#233">Synopsis/Formatters/BoostBook.py:233</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_parameter" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#217">Synopsis/Formatters/BoostBook.py:217</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_parametrized_type_id" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_parametrized_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_parametrized_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#131">Synopsis/Formatters/BoostBook.py:131</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_typedef" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_typedef</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_typedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#164">Synopsis/Formatters/BoostBook.py:164</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_unknown_type_id" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_unknown_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_unknown_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#115">Synopsis/Formatters/BoostBook.py:115</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.visit_variable" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.visit_variable</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#visit_variable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#170">Synopsis/Formatters/BoostBook.py:170</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.write" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.write</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#write" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#51">Synopsis/Formatters/BoostBook.py:51</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.BoostBook.Formatter.write_entity" /><h2 >Method Synopsis.Formatters.BoostBook.Formatter.write_entity</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html#write_entity" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/BoostBook.py.html#73">Synopsis/Formatters/BoostBook.py:73</a>: in class <a href="../Scopes/Synopsis/Formatters/BoostBook/Formatter.html" >Synopsis.Formatters.BoostBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree" /><h2 >Class Synopsis.Formatters.ClassTree.ClassTree</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#14">Synopsis/Formatters/ClassTree.py:14</a>: in module <a href="../Scopes/Synopsis/Formatters/ClassTree.html" >Synopsis.Formatters.ClassTree</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#20">Synopsis/Formatters/ClassTree.py:20</a>: Attribute <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#__superclasses" >__superclasses</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#21">Synopsis/Formatters/ClassTree.py:21</a>: Attribute <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#__subclasses" >__subclasses</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#22">Synopsis/Formatters/ClassTree.py:22</a>: Attribute <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#__classes" >__classes</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#24">Synopsis/Formatters/ClassTree.py:24</a>: Attribute <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#__buckets" >__buckets</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#19">Synopsis/Formatters/ClassTree.py:19</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#26">Synopsis/Formatters/ClassTree.py:26</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#add_inheritance" >add_inheritance</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#46">Synopsis/Formatters/ClassTree.py:46</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#subclasses" >subclasses</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#55">Synopsis/Formatters/ClassTree.py:55</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#superclasses" >superclasses</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#66">Synopsis/Formatters/ClassTree.py:66</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#classes" >classes</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#71">Synopsis/Formatters/ClassTree.py:71</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#add_class" >add_class</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#78">Synopsis/Formatters/ClassTree.py:78</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#roots" >roots</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#86">Synopsis/Formatters/ClassTree.py:86</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#graphs" >graphs</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#93">Synopsis/Formatters/ClassTree.py:93</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#leaves" >leaves</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#99">Synopsis/Formatters/ClassTree.py:99</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#_make_graphs" >_make_graphs</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#122">Synopsis/Formatters/ClassTree.py:122</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/Formatters/ClassTree.py.html#126">Synopsis/Formatters/ClassTree.py:126</a>: Method <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#visit_class" >visit_class</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.__init__" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#19">Synopsis/Formatters/ClassTree.py:19</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree._make_graphs" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree._make_graphs</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#_make_graphs" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#99">Synopsis/Formatters/ClassTree.py:99</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.add_class" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.add_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#add_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#71">Synopsis/Formatters/ClassTree.py:71</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.add_inheritance" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.add_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#add_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#26">Synopsis/Formatters/ClassTree.py:26</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.classes" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.classes</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#classes" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#66">Synopsis/Formatters/ClassTree.py:66</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.graphs" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.graphs</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#graphs" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#86">Synopsis/Formatters/ClassTree.py:86</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.leaves" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.leaves</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#leaves" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#93">Synopsis/Formatters/ClassTree.py:93</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.roots" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.roots</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#roots" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#78">Synopsis/Formatters/ClassTree.py:78</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.subclasses" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.subclasses</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#subclasses" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#46">Synopsis/Formatters/ClassTree.py:46</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.superclasses" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.superclasses</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#superclasses" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#55">Synopsis/Formatters/ClassTree.py:55</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.visit_class" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#126">Synopsis/Formatters/ClassTree.py:126</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.ClassTree.ClassTree.visit_scope" /><h2 >Method Synopsis.Formatters.ClassTree.ClassTree.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/ClassTree.py.html#122">Synopsis/Formatters/ClassTree.py:122</a>: in class <a href="../Scopes/Synopsis/Formatters/ClassTree/ClassTree.html" >Synopsis.Formatters.ClassTree.ClassTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter" /><h2 >Class Synopsis.Formatters.DocBook.DocBook.DetailFormatter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#229">Synopsis/Formatters/DocBook/__init__.py:229</a>: in package <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook.html" >Synopsis.Formatters.DocBook.DocBook</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#234">Synopsis/Formatters/DocBook/__init__.py:234</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_builtin_type_id" >visit_builtin_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#239">Synopsis/Formatters/DocBook/__init__.py:239</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_unknown_type_id" >visit_unknown_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#244">Synopsis/Formatters/DocBook/__init__.py:244</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_declared_type_id" >visit_declared_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#249">Synopsis/Formatters/DocBook/__init__.py:249</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_modifier_type_id" >visit_modifier_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#255">Synopsis/Formatters/DocBook/__init__.py:255</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_parametrized_type_id" >visit_parametrized_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#265">Synopsis/Formatters/DocBook/__init__.py:265</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_function_type_id" >visit_function_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#271">Synopsis/Formatters/DocBook/__init__.py:271</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#process_doc" >process_doc</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#284">Synopsis/Formatters/DocBook/__init__.py:284</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#306">Synopsis/Formatters/DocBook/__init__.py:306</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#generate_module_list" >generate_module_list</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#320">Synopsis/Formatters/DocBook/__init__.py:320</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#format_module_or_group" >format_module_or_group</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#375">Synopsis/Formatters/DocBook/__init__.py:375</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_module" >visit_module</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#385">Synopsis/Formatters/DocBook/__init__.py:385</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#388">Synopsis/Formatters/DocBook/__init__.py:388</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#474">Synopsis/Formatters/DocBook/__init__.py:474</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_inheritance" >visit_inheritance</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#479">Synopsis/Formatters/DocBook/__init__.py:479</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_parameter" >visit_parameter</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#483">Synopsis/Formatters/DocBook/__init__.py:483</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_function" >visit_function</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#485">Synopsis/Formatters/DocBook/__init__.py:485</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_enum" >visit_enum</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.format_module_or_group" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.format_module_or_group</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#format_module_or_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#320">Synopsis/Formatters/DocBook/__init__.py:320</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.generate_module_list" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.generate_module_list</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#generate_module_list" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#306">Synopsis/Formatters/DocBook/__init__.py:306</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.process_doc" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.process_doc</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#process_doc" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#271">Synopsis/Formatters/DocBook/__init__.py:271</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_builtin_type_id" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_builtin_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_builtin_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#234">Synopsis/Formatters/DocBook/__init__.py:234</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_class" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#388">Synopsis/Formatters/DocBook/__init__.py:388</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_declaration" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#284">Synopsis/Formatters/DocBook/__init__.py:284</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_declared_type_id" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_declared_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_declared_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#244">Synopsis/Formatters/DocBook/__init__.py:244</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_enum" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_enum</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_enum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#485">Synopsis/Formatters/DocBook/__init__.py:485</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_function_type_id" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_function_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_function_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#265">Synopsis/Formatters/DocBook/__init__.py:265</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_group" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_group</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#385">Synopsis/Formatters/DocBook/__init__.py:385</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_inheritance" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#474">Synopsis/Formatters/DocBook/__init__.py:474</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_modifier_type_id" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_modifier_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_modifier_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#249">Synopsis/Formatters/DocBook/__init__.py:249</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_module" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_module</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#375">Synopsis/Formatters/DocBook/__init__.py:375</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_parameter" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#479">Synopsis/Formatters/DocBook/__init__.py:479</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_parametrized_type_id" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_parametrized_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_parametrized_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#255">Synopsis/Formatters/DocBook/__init__.py:255</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_unknown_type_id" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DetailFormatter.visit_unknown_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html#visit_unknown_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#239">Synopsis/Formatters/DocBook/__init__.py:239</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DetailFormatter.html" >Synopsis.Formatters.DocBook.DocBook.DetailFormatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DocCache" /><h2 >Class Synopsis.Formatters.DocBook.DocBook.DocCache</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#505">Synopsis/Formatters/DocBook/__init__.py:505</a>: in package <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook.html" >Synopsis.Formatters.DocBook.DocBook</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#510">Synopsis/Formatters/DocBook/__init__.py:510</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#_processor" >_processor</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#511">Synopsis/Formatters/DocBook/__init__.py:511</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#_markup_formatters" >_markup_formatters</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#517">Synopsis/Formatters/DocBook/__init__.py:517</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#_doc_cache" >_doc_cache</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#508">Synopsis/Formatters/DocBook/__init__.py:508</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#520">Synopsis/Formatters/DocBook/__init__.py:520</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#_process" >_process</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#538">Synopsis/Formatters/DocBook/__init__.py:538</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#summary" >summary</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#545">Synopsis/Formatters/DocBook/__init__.py:545</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#details" >details</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DocCache.__init__" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DocCache.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#508">Synopsis/Formatters/DocBook/__init__.py:508</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html" >Synopsis.Formatters.DocBook.DocBook.DocCache</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DocCache._process" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DocCache._process</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#_process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#520">Synopsis/Formatters/DocBook/__init__.py:520</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html" >Synopsis.Formatters.DocBook.DocBook.DocCache</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DocCache.details" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DocCache.details</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#details" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#545">Synopsis/Formatters/DocBook/__init__.py:545</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html" >Synopsis.Formatters.DocBook.DocBook.DocCache</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.DocCache.summary" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.DocCache.summary</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html#summary" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#538">Synopsis/Formatters/DocBook/__init__.py:538</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/DocCache.html" >Synopsis.Formatters.DocBook.DocBook.DocCache</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.Formatter" /><h2 >Class Synopsis.Formatters.DocBook.DocBook.Formatter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#553">Synopsis/Formatters/DocBook/__init__.py:553</a>: in package <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook.html" >Synopsis.Formatters.DocBook.DocBook</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#556">Synopsis/Formatters/DocBook/__init__.py:556</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#markup_formatters" >markup_formatters</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#560">Synopsis/Formatters/DocBook/__init__.py:560</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#title" >title</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#561">Synopsis/Formatters/DocBook/__init__.py:561</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#nested_modules" >nested_modules</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#562">Synopsis/Formatters/DocBook/__init__.py:562</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#generate_summary" >generate_summary</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#563">Synopsis/Formatters/DocBook/__init__.py:563</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#hide_undocumented" >hide_undocumented</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#564">Synopsis/Formatters/DocBook/__init__.py:564</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#inline_inherited_members" >inline_inherited_members</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#565">Synopsis/Formatters/DocBook/__init__.py:565</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#secondary_index_terms" >secondary_index_terms</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#566">Synopsis/Formatters/DocBook/__init__.py:566</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#with_inheritance_graphs" >with_inheritance_graphs</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#567">Synopsis/Formatters/DocBook/__init__.py:567</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#graph_color" >graph_color</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#569">Synopsis/Formatters/DocBook/__init__.py:569</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.Formatter.process" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.Formatter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#569">Synopsis/Formatters/DocBook/__init__.py:569</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html" >Synopsis.Formatters.DocBook.DocBook.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.FormatterBase" /><h2 >Class Synopsis.Formatters.DocBook.DocBook.FormatterBase</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#121">Synopsis/Formatters/DocBook/__init__.py:121</a>: in package <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook.html" >Synopsis.Formatters.DocBook.DocBook</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#125">Synopsis/Formatters/DocBook/__init__.py:125</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#processor" >processor</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#126">Synopsis/Formatters/DocBook/__init__.py:126</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#output" >output</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#127">Synopsis/Formatters/DocBook/__init__.py:127</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#base_dir" >base_dir</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#128">Synopsis/Formatters/DocBook/__init__.py:128</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#nested_modules" >nested_modules</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#129">Synopsis/Formatters/DocBook/__init__.py:129</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#secondary_index" >secondary_index</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#130">Synopsis/Formatters/DocBook/__init__.py:130</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#inheritance_graphs" >inheritance_graphs</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#131">Synopsis/Formatters/DocBook/__init__.py:131</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#graph_color" >graph_color</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#132">Synopsis/Formatters/DocBook/__init__.py:132</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#__scope" >__scope</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#133">Synopsis/Formatters/DocBook/__init__.py:133</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#__scopestack" >__scopestack</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#134">Synopsis/Formatters/DocBook/__init__.py:134</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#__indent" >__indent</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#135">Synopsis/Formatters/DocBook/__init__.py:135</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#__elements" >__elements</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#123">Synopsis/Formatters/DocBook/__init__.py:123</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#137">Synopsis/Formatters/DocBook/__init__.py:137</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#138">Synopsis/Formatters/DocBook/__init__.py:138</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#push_scope" >push_scope</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#143">Synopsis/Formatters/DocBook/__init__.py:143</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#pop_scope" >pop_scope</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#148">Synopsis/Formatters/DocBook/__init__.py:148</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#write" >write</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#155">Synopsis/Formatters/DocBook/__init__.py:155</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#start_element" >start_element</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#165">Synopsis/Formatters/DocBook/__init__.py:165</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#end_element" >end_element</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#173">Synopsis/Formatters/DocBook/__init__.py:173</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#write_element" >write_element</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#185">Synopsis/Formatters/DocBook/__init__.py:185</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#element" >element</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.DocBook.FormatterBase.__init__" /><h2 >Method Synopsis.Formatters.DocBook.DocBook.FormatterBase.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/__init__.py.html#123">Synopsis/Formatters/DocBook/__init__.py:123</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html" >Synopsis.Formatters.DocBook.DocBook.FormatterBase</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
